| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csTraceBeamResult Struct Reference

Return structure for the csColliderHelper::TraceBeam() method. More...

`#include <cstool/collider.h>`

List of all members.

## Public Attributes
csVector3 | closest_isect
| closest_isect will be set to the closest intersection point (in world space).
iMeshWrapper * | closest_mesh
| closest_mesh will be set to the closest mesh that is hit.
csIntersectingTriangle | closest_tri
| closest_tri will be set to the closest triangle that is hit.
iSector * | end_sector
| Sector in which the collision occured.
float | sqdistance
| The squared distance between 'start' and the closest hit or else a negative number if there was no hit.

## Detailed Description

Return structure for the csColliderHelper::TraceBeam() method.

Definition at line 151 of file collider.h.

## Member Data Documentation

csVector3 csTraceBeamResult::closest_isect

closest_isect will be set to the closest intersection point (in world space).

Definition at line 163 of file collider.h.

iMeshWrapper* csTraceBeamResult::closest_mesh

closest_mesh will be set to the closest mesh that is hit.

Definition at line 167 of file collider.h.

csIntersectingTriangle csTraceBeamResult::closest_tri

closest_tri will be set to the closest triangle that is hit.

The triangle will be specified in world space.

Definition at line 158 of file collider.h.

iSector* csTraceBeamResult::end_sector

Sector in which the collision occured.

Definition at line 176 of file collider.h.

float csTraceBeamResult::sqdistance

The squared distance between 'start' and the closest hit or else a negative number if there was no hit.

Definition at line 172 of file collider.h.

The documentation for this struct was generated from the following file:

- cstool/collider.h